package com.neusoft.smart.pos.advertisement.constants;


import com.neusoft.smart.pos.framework.constants.CommonCode;

/**
 * @author zcf
 * @date 2017-08-13 10：43
 * @description 业务错误信息使用枚举类
 */
public enum AdvertisementErrorCode implements CommonCode {

	MEDIA_NAME_DUPLICATE("04001", "资源名称重复"),
	STRATEGY_NAME_DUPLICATE("04002", "广告策略名称重复"),
	STRATEGY_EXIST("04003", "数据存在关联生效策略，无法删除");

	private String code;

	private String message;

	private AdvertisementErrorCode(String code, String message) {
		this.code = code;
		this.message = message;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

}
